### Constructor

# Phosh AudioDevices new

#### Declaration [src]

    PhoshAudioDevices*
    phosh_audio_devices_new (
      gpointer mixer_control,
      gboolean is_input
    )

#### Description [src]

Gets a new audio devices object which exposes the currently known input or output devices as a list model.

#### Parameters

`mixer_control`

  Type: `gpointer`

  A new GvcMixerControl.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`is_input`

  Type: `gboolean`

  Whether this is this an input.

#### Return value

Type: `PhoshAudioDevices`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.